[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"


[tool.black]
line-length = 80


[tool.poetry]
name = "db"
version = "0.0.1"
description = ""
authors = ["konstantin-dudersky <konstantin.dudersky@gmail.com>"]
readme = "README.md"


[tool.poetry.dependencies]
python = "^3.10"

alembic = "1.8.1"
asyncpg = "0.26.0"
psycopg = "3.1.3"
sqlalchemy = "2.0.0b1"

shared = { path = "../shared", develop = true }


[tool.poetry.group.dev.dependencies]
alembic-autogen-check = "*"
black = "*"
wemake-python-styleguide = "0.17.0"


[tool.pyright]
pythonPlatform = "Linux"
pythonVersion = "3.10"
stubPath = '.venv/typings'
typeCheckingMode = "strict"
